Subject: Re: bug#75709: also with guix home

From: Thiago Jung Bauermann <[email-masked]>
Date: Thu, 23 Jan 2025 13:23:37 -0300

Hello Alexandre,

Alexandre Hannud Abdo <[email-masked]> writes:

> Having the same issue here.
>
> I'm using `emacs-pgtk` with Guix Home on Guix System, so it's Guix (Home) itself is
> producing all my profile variables and shell init scripts.
>
> My home configuration is very plain and doesn't touch shell init in any relevant
> way. Here's the bash-config part:
>
> ```
> (home-bash-configuration
>                    (aliases '(("ema" . "emacs -nw")
>                               ("emc" . "emacsclient -nw")))
>                    (environment-variables '(("EDITOR" . "emacs"))))
> ```

I don't use Guix System nor Guix Home, so it's unwise for me to
speculate. But I'll do it anyway. :)

Perhaps you have Emacs packages installed in both the system configuration
and the home configuration? Perhaps that could be causing the
environment variable to be set at two different places?

In any case, there does seem to be some issue with Guix System or Guix Home.

> And just in case, here are the list of 'emacs-' packages in my home profile:
>
> ```
> "emacs-atomic-chrome"
> "emacs-company"
> "emacs-geiser"
> "emacs-geiser-guile"
> "emacs-guix"
> "emacs-ibuffer-vc"
> "emacs-magit"
> "emacs-marginalia"
> "emacs-markdown-mode"
> "emacs-nov-el"
> "emacs-olivetti"
> "emacs-paredit"
> "emacs-pgtk"
> "emacs-python-black"
> "emacs-undo-tree"
> "emacs-yaml-mode"
> "emacs-yasnippet"
> "emacs-yasnippet-snippets"
> ```
>
> Does this help spot something? What can I do to help?

The issue in the Emacs package was already spotted by Liliana, but to
spot what could be the problem with Guix System / Guix Home, the best
option is to give enough information so that someone else can reproduce
the problem you're seeing.

That would be either your full system and home configurations (if you
are comfortable providing them), or (even better) a trimmed down version
of the system and home ocnfigurations that still reproduce the problem.

--
Thiago